package jrummikub.model;

import jrummikub.util.Pair;

public interface ITable extends IStoneTray<StoneSet> {

	/**
	 * Removes {@link Stone} from the Table
	 * 
	 * @param stone
	 *          stone to pick up
	 * @return the stone sets that are created by taking pickung the the stone
	 */
	public Pair<StoneSet, StoneSet> pickUpStone(Stone stone);

	/** Tests the Table for rule conflicts by checking all the {@link StoneSet} */
	public boolean isValid();

	StoneSet findStoneSet(Stone stone);

}